Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(116)

Side by Side Diff: tests/rename.sh

Issue 2394033003: Remove SVN (and dcommit) support from git-cl (Closed)
Patch Set: Rebase Created 4 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
« no previous file with comments | « tests/push-from-logs.sh ('k') | tests/save-description-on-failure.sh » ('j') | no next file with comments »
Toggle Intra-line Diffs ('i') | Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
OLDNEW
(Empty)
1 #!/usr/bin/env bash
2
3 # Copyright (c) 2012 The Chromium Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file.
6
7 # Renaming a file should show up as a rename in the review.
8
9 set -e
10
11 . ./test-lib.sh
12
13 setup_initsvn
14 setup_gitsvn
15
16 (
17 set -e
18 cd git-svn
19 git config rietveld.server localhost:10000
20
21 # Create a branch, rename a file, upload it.
22 git checkout -q -b rename
23 git mv test test2
24 git commit -q -m "renamed"
25 export GIT_EDITOR=$(which true)
26 test_expect_success "upload succeeds" \
27 "$GIT_CL upload --no-oauth2 -m test master | grep -q 'Issue created'"
28
29 # Look at the uploaded patch and verify it is a rename patch.
30 echo "Rename test not fully implemented yet. :("
31 exit 1
32 )
33
34 SUCCESS=$?
35
36 cleanup
37
38 if [ $SUCCESS == 0 ]; then
39 echo PASS
40 fi
OLDNEW
« no previous file with comments | « tests/push-from-logs.sh ('k') | tests/save-description-on-failure.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698